/* Universal rule to set magic wand cursor for all elements */
* {
  cursor: url('../icons/pointer.png'), auto !important;
}

@font-face {
    font-family: 'Lucy Said Ok Personal Use';
    src: url('../fonts/LucySaidOkPersonalUse-Italic.woff2?v=<?php echo time(); ?>') format('woff2');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Parisienne';
    src: url('../fonts/Parisienne-Regular.woff2?v=<?php echo time(); ?>') format('woff2');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Kanit';
    src: url("../fonts/Kanit-Light.woff2?v=<?php echo time(); ?>") format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

html {
  height: 100%;
}

body {
  overflow: hidden;
  display: grid;
  height: 100%;
  color: white;
  background: black;
}

.name-container {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
  z-index: 2000;
}

h1 {
  font-size: calc(3rem + 3vw);
  margin-bottom: 0.5rem;
  font-family: 'Lucy Said Ok Personal Use';
  font-weight: normal;
  font-style: italic;
  background: linear-gradient(to right, #ff6e7f, #bfe9ff);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

p {
  font-family: 'Kanit', sans-serif;
  font-size: calc(0.8rem + 0.5vw);
}

nav {
  background-color: darkgoldenrod;
  width: 100%;
  height: 20px;
  border-bottom: solid 1px #0f0f0f;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
}

nav .rb-menu {
  background-color: #ff3838;
  width: 80px;
  height: 250px;
  border-left: solid 5px #b20000;
  border-right: solid 5px #b20000;
  top: -210px;
  left: 50%;
  box-shadow: 0 0 15px 1px #222;
  transform: translateY(0) translateX(-50%);
  transition: transform 0.2s ease 0.2s, top 0.5s ease-in 0.4s;
  position: absolute;
  z-index: 1500;
}

nav .rb-menu::before {
  content: "";
  background-color: #ff3838;
  width: 59px;
  height: 59px;
  border-right: solid 5px #b20000;
  border-bottom: solid 5px #b20000;
  display: block;
  position: absolute;
  bottom: 0;
  left: 50%;
  box-shadow: 0 0 15px 1px #222;
  transform: translate(-50%, 50%) rotate(45deg);
  z-index: 2;
}

nav .rb-menu .rb-toggle {
  color: #fff;
  font-family: 'Parisienne';
  font-size: 24px;
  text-align: center;
  text-decoration: none;
  background-color: #ff3838;
  width: 100%;
  height: 100%;
  border-left: solid 5px #b20000;
  border-right: solid 5px #b20000;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  position: absolute;
  bottom: 3px;
  left: -5px;
  text-shadow: 0 -1px #b80000;
  border-radius: 5px;
  z-index: 3;
}

nav .rb-menu:hover .rb-toggle,
nav .rb-menu:hover::before {
  text-decoration: none;
}

nav .rb-menu.active {
  top: 0;
  transform: translateY(-20px) translateX(-50%);
  transition: transform 0.2s ease, top 0.5s ease-in 0.2s;
}

nav .rb-menu .rb-list {
  color: #fff;
  font-family: 'Parisienne';
  font-size: 20px;
  text-decoration: none;
  background-color: #3CB371;
  width: 0;
  height: 50px;
  line-height: 50px;
  border: solid 5px #006400;
  padding: 0 10px;
  display: block;
  overflow: hidden;
  position: absolute;
  top: 50%;
  box-sizing: border-box;
  box-shadow: 0 0 15px 1px #222;
  transition: 0.2s width ease-out;
}

nav .rb-menu.active .rb-list {
  width: 175px;
  transition: 0.2s width ease-in 0.9s;
}

nav .rb-menu .rb-list:nth-child(odd) {
  padding: 0 10px 0 0;
  text-align: right;
  right: 0;
}

nav .rb-menu .rb-list:nth-child(even) {
  padding: 0 0 0 10px;
  text-align: left;
  left: 0;
}

nav .rb-menu .rb-list:nth-child(2) {
  transform: rotate(20deg) translate(-70%, -50%);
}

nav .rb-menu .rb-list:nth-child(3) {
  transform: rotate(-20deg) translate(70%, -50%);
}

nav .rb-menu .rb-list:nth-child(4) {
  transform: rotate(-20deg) translate(-60%, -50%);
}

nav .rb-menu .rb-list:nth-child(5) {
  transform: rotate(20deg) translate(60%, -50%);
}

nav .rb-menu .rb-list:hover {
  text-decoration: none;
}